Package commonj.sdo

# Interface ChangeSummary.Setting

Enclosing interface:
  `ChangeSummary`

public static interface ChangeSummary.Setting
A setting encapsulates a `property` and a corresponding single value of the property's `type`.

## Method Summary

Modifier and Type
Method
Description
`Property`
`getProperty()`
Returns the property of the setting.
`Object`
`getValue()`
Returns the value of the setting.
`boolean`
`isSet()`
Returns whether or not the property is set.

## Method Details

### getProperty

Property getProperty()
Returns the property of the setting.

Returns:
  the setting property.

### getValue

Object getValue()
Returns the value of the setting.

Returns:
  the setting value.

### isSet

boolean isSet()
Returns whether or not the property is set.

Returns:
  `true` if the property is set.